# Uses of Enum Class
java.lang.classfile.ClassFile.DeadLabelsOption

Packages that use ClassFile.DeadLabelsOption
Package
Description
java.lang.classfile
Provides classfile parsing, generation, and transformation library.

## Uses of ClassFile.DeadLabelsOption in java.lang.classfile

Subclasses with type arguments of type ClassFile.DeadLabelsOption in java.lang.classfile
Modifier and Type
Class
Description
`static enum`
`ClassFile.DeadLabelsOption`
The option describing whether to filter unbound labels and drop their enclosing structures if possible.
Methods in java.lang.classfile that return ClassFile.DeadLabelsOption
Modifier and Type
Method
Description
`static ClassFile.DeadLabelsOption`
ClassFile.DeadLabelsOption.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ClassFile.DeadLabelsOption[]`
ClassFile.DeadLabelsOption.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.